<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<vp-questions
		[contestUserData]="contestVerifyData?.contestUserData"
		[contest]="contestVerifyData?.contest"
		[headingLevel]="4"
		[leftColumnTemplate]="answer"
		[rightColumnTemplate]="choiceCode"
		class="mt-bigger-big"
></vp-questions>

<ng-template #answer let-answer="answer" let-question="question">
	<p *ngIf="answer" class="word-break h5 fw-bold mb-0">{{ answer }}</p>
	<span *ngIf="answer === question?.blankOption?.text" class="visually-hidden">{{
		'common.screenreader.nooptionselected' | translate
		}}</span>
</ng-template>

<ng-template #choiceCode let-i="questionIndex">
	<ng-container *ngIf="contestVerifyData?.choiceReturnCodes as choiceReturnCodes">
    <span class="visually-hidden">{{
		'verify.main.yourchoicecode' | translate
		}}</span>
		<p class="word-break ps-3 h4 mb-0">{{ choiceReturnCodes[i] }}</p>
	</ng-container>
</ng-template>
